LibreOffice: XDispatchProviderInterception Interface Reference

LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XDispatchProviderInterception Interface Referencepublished

makes it possible to register an XDispatchProvider which intercepts all requests of XDispatch to this instance. More...

`import "XDispatchProviderInterception.idl";`

Inheritance diagram for XDispatchProviderInterception:

## Public Member Functions
void | registerDispatchProviderInterceptor ([in] XDispatchProviderInterceptor Interceptor)
| registers an XDispatchProviderInterceptor, which will become the first interceptor in the chain of registered interceptors.
void | releaseDispatchProviderInterceptor ([in] XDispatchProviderInterceptor Interceptor)
| removes an XDispatchProviderInterceptor which was previously registered
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to register an XDispatchProvider which intercepts all requests of XDispatch to this instance.

Note: Nobody can guarantee order of used interceptor objects if more than ones exist. Later registered ones will be used at first. But it's possible to increase the chance for that by providing the optional interface XInterceptorInfo.

See also
  XDispatchProvider
  XDispatch
  XInterceptorInfo

## Member Function Documentation

## ◆ registerDispatchProviderInterceptor()

void registerDispatchProviderInterceptor | ( | [in] XDispatchProviderInterceptor | Interceptor | ) |

registers an XDispatchProviderInterceptor, which will become the first interceptor in the chain of registered interceptors.

Parameters

  Interceptor | the interceptor which wishes to be registered

See also
  XDispatchProviderInterception::releaseDispatchProviderInterceptor()

## ◆ releaseDispatchProviderInterceptor()

void releaseDispatchProviderInterceptor | ( | [in] XDispatchProviderInterceptor | Interceptor | ) |

removes an XDispatchProviderInterceptor which was previously registered

The order of removals is arbitrary. It is not necessary to remove the last registered interceptor first.

Parameters

  Interceptor | the interceptor which wishes to be unregistered

See also
  XDispatchProviderInterception::registerDispatchProviderInterceptor()

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XDispatchProviderInterception.idl